| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- HighResPeakPicker

# MsXpS::libXpertMassCore::Processing::HighResPeakPicker Class

class MsXpS::libXpertMassCore::Processing::HighResPeakPicker

Provides a peak picking feature for data acquired on high resolving power instruments. More...

Header: | `#include <MsXpS/libXpertMassCore/HighResPeakPicker.hpp>`

- List of all members, including inherited members
- HighResPeakPicker is part of libXpertMassCore Data processing.

## Public Types

struct | PeakRange

## Public Functions

| HighResPeakPicker()
| HighResPeakPicker(MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters &parameters, MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters signal_to_noise_estimator_params)
virtual | ~HighResPeakPicker()
void | pick(const pappso::Trace &initial_trace, pappso::Trace &picked_peaks, QList<MsXpS::libXpertMassCore::Processing::HighResPeakPicker::PeakRange> &peak_ranges)
void | setLocalSignalToNoiseEstimatorParams(const MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters &parameters)
MsXpS::libXpertMassCore::Processing::HighResPeakPicker & | operator=(const MsXpS::libXpertMassCore::Processing::HighResPeakPicker &other)

## Protected Variables

MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters | m_localSignalToNoiseEstimatorParams
MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters | m_parameters

## Detailed Description

Peak picking is also known as centroidation, where the software extracts from a profile mode shaped peak the m/z value that best represents it.

The process that is carried out in this picker is based on the modeling of the shaped peak profile using a spline model and on the determination of the centroid value out of it.

## Member Function Documentation

### HighResPeakPicker::HighResPeakPicker()

Constructs a HighResPeakPicker instance with default member values.

### `[explicit]` HighResPeakPicker::HighResPeakPicker(MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters &parameters, MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters signal_to_noise_estimator_params)

Constructs a HighResPeakPicker instance with parameters and signal_to_noise_estimator_params.

### `[virtual noexcept]` HighResPeakPicker::~HighResPeakPicker()

Destructs this instance.

### void HighResPeakPicker::pick(const pappso::Trace &initial_trace, pappso::Trace &picked_peaks, QList<MsXpS::libXpertMassCore::Processing::HighResPeakPicker::PeakRange> &peak_ranges)

Runs the peak picking process on initial_trace.

In the process of peaking peaks picked_peaks is updated with found peaks and peak_ranges also.

For each found peak added to picked_peaks, a corresponding PeakRange item is added to peak_ranges. This allows to enquire about the range of any single peak in picked_peaks.

### void HighResPeakPicker::setLocalSignalToNoiseEstimatorParams(const MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters &parameters)

Sets the member local signal-to-noise estimator parameters to parameters.

### MsXpS::libXpertMassCore::Processing::HighResPeakPicker &HighResPeakPicker::operator=(const MsXpS::libXpertMassCore::Processing::HighResPeakPicker &other)

Assigns other to this instance and returns a reference to this instance.

## Member Variable Documentation

### MsXpS::libXpertMassCore::Processing::LocalSignalToNoiseEstimator::Parameters HighResPeakPicker::m_localSignalToNoiseEstimatorParams

This variable holds the local signal-to-noise estimator parameters.

### MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters HighResPeakPicker::m_parameters

This variable holds the parameters required to configure the peak picker.